Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class PageHashTable

    java.lang.Object
      unity.operators.PageHashTable

    public class PageHashTable

extends java.lang.Object

Field Summary
`static int` | `IS_EMPTY`
`static int` | `IS_EXPANDING`
`static int` | `IS_FROZEN`

Constructor Summary
`PageHashTable(int tblSize, int pgSize, int maxpg, Relation r)`

Method Summary
`ChainedHashTable` | `buildHashTable(int bucket, int keyType, int[] keyIdx, int numAttrs)`
`void` | `clear()`
`void` | `close(int state)`
`void` | `flush(int state)`
`java.lang.String` | `getFileName(int bucket)`
`int` | `getHashLocation(int key)`
`int` | `getHashLocation(java.lang.Object[] keys)`
`int` | `getHashLocation(java.lang.String key)`
`ChainedHashTable` | `getHashTable(int bucket)`
`java.util.LinkedList` | `getList(int bucket)`
`int` | `getPageIOs()`
`int` | `getPages(int bucket)`
`int` | `getTupleIOs()`
`int` | `getTuples(int bucket)`
`void` | `initBucket(int bucket, int state)`
`int` | `insert(int key, Tuple t)`
`int` | `insert(java.lang.Object[] keys, Tuple t)`
`int` | `insert(java.lang.String key, Tuple t)`
`java.util.ArrayList` | `probeHashTable(int bucket, int key)`
`java.util.ArrayList` | `probeHashTable(int bucket, java.lang.Object[] key)`
`java.util.ArrayList` | `probeHashTable(int bucket, java.lang.String key)`
`void` | `purge(int bucket)`
`void` | `setBucketState(int bucket, int state)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IS_EMPTY

    public static int IS_EMPTY

### IS_EXPANDING

    public static int IS_EXPANDING

### IS_FROZEN

    public static int IS_FROZEN

Constructor Detail

### PageHashTable

    public PageHashTable(int tblSize,
                         int pgSize,
                         int maxpg,
                         Relation r)

Method Detail

### getTupleIOs

    public int getTupleIOs()

### getPageIOs

    public int getPageIOs()

### clear

    public void clear()

### flush

    public void flush(int state)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close(int state)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### purge

    public void purge(int bucket)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildHashTable

    public ChainedHashTable buildHashTable(int bucket,
                                           int keyType,
                                           int[] keyIdx,
                                           int numAttrs)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHashLocation

    public int getHashLocation(int key)

### getHashLocation

    public int getHashLocation(java.lang.String key)

### getHashLocation

    public int getHashLocation(java.lang.Object[] keys)

### getPages

    public int getPages(int bucket)

### getTuples

    public int getTuples(int bucket)

### getFileName

    public java.lang.String getFileName(int bucket)

### insert

    public int insert(java.lang.Object[] keys,
                      Tuple t)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### insert

    public int insert(java.lang.String key,
                      Tuple t)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### insert

    public int insert(int key,
                      Tuple t)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getList

    public java.util.LinkedList getList(int bucket)

### setBucketState

    public void setBucketState(int bucket,
                               int state)

### initBucket

    public void initBucket(int bucket,
                           int state)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### probeHashTable

    public java.util.ArrayList probeHashTable(int bucket,
                                              int key)

### probeHashTable

    public java.util.ArrayList probeHashTable(int bucket,
                                              java.lang.String key)

### probeHashTable

    public java.util.ArrayList probeHashTable(int bucket,
                                              java.lang.Object[] key)

### getHashTable

    public ChainedHashTable getHashTable(int bucket)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD